summaryrefslogtreecommitdiff
path: root/test/integration/test-xorg-break-providers
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2010-11-10 13:26:37 +0100
committerDavid Kalnischkies <kalnischkies@gmail.com>2010-11-10 13:26:37 +0100
commitedbda33bdef6a480fcfcb5d6b9a219c10cbeaaba (patch)
tree8ca43482d477b2a437d368e4ab1fa1c6ff6aaad8 /test/integration/test-xorg-break-providers
parenta3f1a6ccd29480ae45e0a82871b05e009741d7fa (diff)
* apt-pkg/depcache.cc:
- don't install previously not installed providers in a try to statisfy a "Breaks: provides" dependency by upgrade
Diffstat (limited to 'test/integration/test-xorg-break-providers')
-rwxr-xr-xtest/integration/test-xorg-break-providers43
1 files changed, 43 insertions, 0 deletions
diff --git a/test/integration/test-xorg-break-providers b/test/integration/test-xorg-break-providers
new file mode 100755
index 000000000..139d2c915
--- /dev/null
+++ b/test/integration/test-xorg-break-providers
@@ -0,0 +1,43 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+setupaptarchive
+
+# the new xserver-xorg-core breaks xserver-xorg-video-6
+# which both -intel (installed) and -vesa (not installed)
+# provided in their old version.
+# The test ensures that only -intel will be upgraded
+# (together with -core of course) and -vesa not touched.
+
+testequal 'Reading package lists...
+Building dependency tree...
+The following extra packages will be installed:
+ xserver-xorg-video-intel
+The following packages will be upgraded:
+ xserver-xorg-core xserver-xorg-video-intel
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Need to get 0 B/2992 kB of archives.
+After this operation, 24.6 kB of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation.' aptget install xserver-xorg-core --trivial-only
+
+testequal 'Reading package lists...
+Building dependency tree...
+The following packages will be upgraded:
+ xserver-xorg-core xserver-xorg-video-intel
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Need to get 0 B/2992 kB of archives.
+After this operation, 24.6 kB of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation.' aptget upgrade --trivial-only
+
+testequal 'Reading package lists...
+Building dependency tree...
+The following packages will be upgraded:
+ xserver-xorg-core xserver-xorg-video-intel
+2 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Need to get 0 B/2992 kB of archives.
+After this operation, 24.6 kB of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation.' aptget dist-upgrade --trivial-only